import { UMB_CURRENT_USER_EXTERNAL_LOGIN_MODAL } from './modals/external-login-modal.token.js';
import { UmbActionBase } from '../../../core/action/index.js';
import { umbOpenModal } from '../../../core/modal/index.js';
export class UmbConfigureExternalLoginProvidersApi extends UmbActionBase {
    async getHref() {
        return undefined;
    }
    async execute() {
        await umbOpenModal(this, UMB_CURRENT_USER_EXTERNAL_LOGIN_MODAL);
    }
}
export { UmbConfigureExternalLoginProvidersApi as api };
